Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut.ast
Interface TypeExpressionParserConstants

All Known Implementing Classes:
  TypeExpressionParser, TypeExpressionParserTokenManager

public interface TypeExpressionParserConstants

Field Summary
`static int` | `ABSTRACT`
`static int` | `ALL_PARAMS`
`static int` | `AND`
`static int` | `ANNOTATION`
`static int` | `ARRAY`
`static int` | `ARRAY_CLASS`
`static int` | `BEHAVIOR`
`static int` | `BEHAVIOR_CLOSE`
`static int` | `BEHAVIOR_NOT`
`static int` | `CLASS`
`static int` | `CLASS_EXPR`
`static int` | `COMMA`
`static int` | `CONSTRUCTOR_EXPR`
`static int` | `DEFAULT`
`static int` | `DOT`
`static int` | `EOF`
`static int` | `EXCEPTION_SEPERATOR`
`static int` | `FIELD`
`static int` | `FIELD_ABSTRACT`
`static int` | `FIELD_ANNOTATION`
`static int` | `FIELD_ARRAY`
`static int` | `FIELD_ARRAY_CLASS`
`static int` | `FIELD_CLASS`
`static int` | `FIELD_CLOSE`
`static int` | `FIELD_DECLARATION`
`static int` | `FIELD_DOT`
`static int` | `FIELD_FINAL`
`static int` | `FIELD_IDENTIFIER`
`static int` | `FIELD_INSTANCEOF`
`static int` | `FIELD_NATIVE`
`static int` | `FIELD_NOT`
`static int` | `FIELD_PRIVATE`
`static int` | `FIELD_PROTECTED`
`static int` | `FIELD_PUBLIC`
`static int` | `FIELD_SEPARATOR`
`static int` | `FIELD_STATIC`
`static int` | `FIELD_SYNCHRONIZED`
`static int` | `FIELD_TRANSIENT`
`static int` | `FIELD_TYPEDEF`
`static int` | `FIELD_WILD_LETTER`
`static int` | `FINAL`
`static int` | `HAS`
`static int` | `HAS_FIELD`
`static int` | `IDENTIFIER`
`static int` | `INSTANCEOF`
`static int` | `METHOD_EXPR`
`static int` | `NATIVE`
`static int` | `NEW`
`static int` | `NOT`
`static int` | `OR`
`static int` | `PARAM_ANNOTATION`
`static int` | `PARAM_ARRAY`
`static int` | `PARAM_ARRAY_CLASS`
`static int` | `PARAM_CLASS`
`static int` | `PARAM_DOT`
`static int` | `PARAM_IDENTIFIER`
`static int` | `PARAM_INSTANCEOF`
`static int` | `PARAM_TYPEDEF`
`static int` | `PARAM_WILD_LETTER`
`static int` | `PARAMS`
`static int` | `PARAMS_CLOSE`
`static int` | `PARAMS_OPEN`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `SEPARATOR`
`static int` | `STATIC`
`static int` | `SYNCHRONIZED`
`static int` | `THROWS`
`static String[]` | `tokenImage`
`static int` | `TYPEDEF`
`static int` | `WILD_LETTER`

Field Detail

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### OR

    public static final int OR

See Also:
  Constant Field Values

### HAS

    public static final int HAS

See Also:
  Constant Field Values

### HAS_FIELD

    public static final int HAS_FIELD

See Also:
  Constant Field Values

### FIELD

    public static final int FIELD

See Also:
  Constant Field Values

### CLASS_EXPR

    public static final int CLASS_EXPR

See Also:
  Constant Field Values

### METHOD_EXPR

    public static final int METHOD_EXPR

See Also:
  Constant Field Values

### CONSTRUCTOR_EXPR

    public static final int CONSTRUCTOR_EXPR

See Also:
  Constant Field Values

### NOT

    public static final int NOT

See Also:
  Constant Field Values

### ALL_PARAMS

    public static final int ALL_PARAMS

See Also:
  Constant Field Values

### PARAM_INSTANCEOF

    public static final int PARAM_INSTANCEOF

See Also:
  Constant Field Values

### PARAM_TYPEDEF

    public static final int PARAM_TYPEDEF

See Also:
  Constant Field Values

### PARAM_CLASS

    public static final int PARAM_CLASS

See Also:
  Constant Field Values

### PARAM_ARRAY_CLASS

    public static final int PARAM_ARRAY_CLASS

See Also:
  Constant Field Values

### PARAM_ANNOTATION

    public static final int PARAM_ANNOTATION

See Also:
  Constant Field Values

### PARAM_IDENTIFIER

    public static final int PARAM_IDENTIFIER

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### PARAM_WILD_LETTER

    public static final int PARAM_WILD_LETTER

See Also:
  Constant Field Values

### PARAM_DOT

    public static final int PARAM_DOT

See Also:
  Constant Field Values

### PARAM_ARRAY

    public static final int PARAM_ARRAY

See Also:
  Constant Field Values

### PARAMS_CLOSE

    public static final int PARAMS_CLOSE

See Also:
  Constant Field Values

### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

### NEW

    public static final int NEW

See Also:
  Constant Field Values

### THROWS

    public static final int THROWS

See Also:
  Constant Field Values

### INSTANCEOF

    public static final int INSTANCEOF

See Also:
  Constant Field Values

### TYPEDEF

    public static final int TYPEDEF

See Also:
  Constant Field Values

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### ARRAY_CLASS

    public static final int ARRAY_CLASS

See Also:
  Constant Field Values

### ANNOTATION

    public static final int ANNOTATION

See Also:
  Constant Field Values

### IDENTIFIER

    public static final int IDENTIFIER

See Also:
  Constant Field Values

### WILD_LETTER

    public static final int WILD_LETTER

See Also:
  Constant Field Values

### DOT

    public static final int DOT

See Also:
  Constant Field Values

### EXCEPTION_SEPERATOR

    public static final int EXCEPTION_SEPERATOR

See Also:
  Constant Field Values

### ARRAY

    public static final int ARRAY

See Also:
  Constant Field Values

### SEPARATOR

    public static final int SEPARATOR

See Also:
  Constant Field Values

### BEHAVIOR_NOT

    public static final int BEHAVIOR_NOT

See Also:
  Constant Field Values

### PARAMS_OPEN

    public static final int PARAMS_OPEN

See Also:
  Constant Field Values

### BEHAVIOR_CLOSE

    public static final int BEHAVIOR_CLOSE

See Also:
  Constant Field Values

### FIELD_ABSTRACT

    public static final int FIELD_ABSTRACT

See Also:
  Constant Field Values

### FIELD_FINAL

    public static final int FIELD_FINAL

See Also:
  Constant Field Values

### FIELD_PRIVATE

    public static final int FIELD_PRIVATE

See Also:
  Constant Field Values

### FIELD_PROTECTED

    public static final int FIELD_PROTECTED

See Also:
  Constant Field Values

### FIELD_PUBLIC

    public static final int FIELD_PUBLIC

See Also:
  Constant Field Values

### FIELD_STATIC

    public static final int FIELD_STATIC

See Also:
  Constant Field Values

### FIELD_TRANSIENT

    public static final int FIELD_TRANSIENT

See Also:
  Constant Field Values

### FIELD_NATIVE

    public static final int FIELD_NATIVE

See Also:
  Constant Field Values

### FIELD_SYNCHRONIZED

    public static final int FIELD_SYNCHRONIZED

See Also:
  Constant Field Values

### FIELD_INSTANCEOF

    public static final int FIELD_INSTANCEOF

See Also:
  Constant Field Values

### FIELD_TYPEDEF

    public static final int FIELD_TYPEDEF

See Also:
  Constant Field Values

### FIELD_CLASS

    public static final int FIELD_CLASS

See Also:
  Constant Field Values

### FIELD_ARRAY_CLASS

    public static final int FIELD_ARRAY_CLASS

See Also:
  Constant Field Values

### FIELD_ANNOTATION

    public static final int FIELD_ANNOTATION

See Also:
  Constant Field Values

### FIELD_IDENTIFIER

    public static final int FIELD_IDENTIFIER

See Also:
  Constant Field Values

### FIELD_WILD_LETTER

    public static final int FIELD_WILD_LETTER

See Also:
  Constant Field Values

### FIELD_DOT

    public static final int FIELD_DOT

See Also:
  Constant Field Values

### FIELD_ARRAY

    public static final int FIELD_ARRAY

See Also:
  Constant Field Values

### FIELD_SEPARATOR

    public static final int FIELD_SEPARATOR

See Also:
  Constant Field Values

### FIELD_NOT

    public static final int FIELD_NOT

See Also:
  Constant Field Values

### FIELD_CLOSE

    public static final int FIELD_CLOSE

See Also:
  Constant Field Values

### DEFAULT

    public static final int DEFAULT

See Also:
  Constant Field Values

### PARAMS

    public static final int PARAMS

See Also:
  Constant Field Values

### BEHAVIOR

    public static final int BEHAVIOR

See Also:
  Constant Field Values

### FIELD_DECLARATION

    public static final int FIELD_DECLARATION

See Also:
  Constant Field Values

### tokenImage

    public static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.